import sys
import pandas as pd
import traceback
import os
import xlsxwriter
import openpyxl
import time

def data_handling(inputfile):
    try:
        with open("dummy.txt", "wt") as f:
            f.write(os.getcwd())
        if os.path.exists("execution_log.txt"):
            os.remove("execution_log.txt")
        df = pd.read_excel(inputfile)
        df["Fullname"] = df["Firstname"]+" "+df["Lastname"]
        print(df)
        df.to_csv("test2.csv")
        with open("execution_log.txt", "wt") as f:
            f.write("<<<Success>>>")
        #2/0

    except Exception as e:
        print(e)
        traceback.print_exception(*sys.exc_info())
        with open("execution_log.txt", "wt") as f:
            f.write(f"<<<Error>>>: {e}")



if __name__=='__main__':
    data_handling(sys.argv[1])